万户资源科技
万汇资源微信公众号

微信扫码有惊喜!

一行代码兼容IE各种问题

chenjie 2016-01-20 技术

我们经常会碰到在其它浏览器调试好了,却在IE上不兼容,特别是比较老的IE6,IE7,IE8甚至IE9,IE10都会碰到,针对这种问题,IE和google都有解决方案:

IE:

在网站的title上面加上一行代码:

<meta http-equiv=X-UA-Compatible content="IE=edge,chrome=1">

意思是:如果支持GCF(Google Chrome Frame),则使用GCF渲染;如果系统安装ie6或以上版本,则使用最高版本ie渲染;

实际上是google做的一个外挂插件,让用户的IE浏览器外观不变,内核却用Google Chrome    同时,也还可以这样写,强制使用IE8模式来解析(也可以换成6,7,9,10):

<meta http-equiv=X-UA-Compatible content="IE=8">

JS:

<!–[if lt IE 8]>
<script src=”http://ie7-js.googlecode.com/svn/version/2.0(beta)/IE8.js” type=”text/javascript”></script>
<![endif]–>

使IE5,IE6,IE7,IE8兼容到IE9模式

文章关键词
兼容IE
IE6
IE7
IE8
IE9
qq qq tel
服务热线:

134-1954-9128